Subject: bug#19048: Frame height decreases at Emacs start

From: Angelo Graziosi <[email-masked]>
Date: Sun, 16 Nov 2014 19:05:26 +0100

Il 16/11/2014 16:14, martin rudalics ha scritto:
>  >> So IIUC the problem doesn't happen without the tool bar.  Right?
>  >
>  > Confirmed!
>
> Damn!  In a normal frame with tool bar, please evaluate the following
> three forms
>
> (tool-bar-height nil t)
> (tool-bar-height)
> (frame-parameter nil 'tool-bar-lines)

Always with a minimal init.el, I have

M-: (tool-bar-height nil t)
36 (#o44, #x24, ?$)

M-: (tool-bar-height)
3 (#o3, #x3, ?\C-c)

M-: (frame-parameter nil 'tool-bar-lines)
3 (#o3, #x3, ?\C-c)

>
> and tell me what they give.  I fail to understand why `tool-bar-lines'
> is 2 in your saved desktop.

?? No, Martin I have : (tool-bar-lines . 3)

(the same on desktop-00 file I sent previously, and (tool-bar-lines . 0) 
in desktop-no-TB-00).

I havd done many tries: Emacs frame decreases as described but 
(tool-bar-lines . 3) NOT (tool-bar-lines . 2). So I am not sure how to 
do the test you require... :(

> And while you're there: In a saved desktop find the (tool-bar-lines . 2)
> entry, replace it with (tool-bar-lines . 3), fire another instance of
> Emacs and tell me whether the frame height decreased.
>
> martin